#include <bits/stdc++.h>
using namespace std;

int main() {
    int n;
    cin >> n;
    int isEven = 0;
    if (n % 2 == 0) isEven = 1;

    int counter = 0, l = -1, r = 2 * n + 2, check = 0;

    vector<int> niz;
    for (int i = 1; i <= 2 * n; i++) {
        l += 2;
        r -= 2;

        if (l < r && counter != n) {
            // cout << l << " ";
            niz.push_back(l);
            // cout << r << " ";
            niz.push_back(r);
            counter++;
        } else {
            l = 0;
            r = 2 * n + 1;
        }

        // if (counter == n) break;
    }

    if (n > 3) {
        swap(niz[0], niz[2]);
        if (isEven == 1) swap(niz[n], niz[n + 2]);
    }

    for (int i = 0; i < n; i++) {
        cout << niz[i] << " ";
    }
    cout << endl;

    for (int i = n; i < 2 * n; i++) {
        cout << niz[i] << " ";
    }
}